// Importieren des Archiv-Files  junit.jar

// 1. import
import junit.framework.*;

import java.util.Vector;

import java.io.*;


//  2. Ableitung von TestCase
public class junit6 extends TestCase  {

     // 3. Methode zum Testen
  public double add(double x, double y) {
    return x+y;
  }

  public junit6() {
  } // create



    // 5. Testfall
    // Methode wird von JUnit aufgerufen
	public void testAdd1() {
    double a,b,c;

    c = add(5.033, 4.343);
		assertEquals(c, 9.376,0.01 );
  }

	public void testAdd2() {
		double a,b,c;
		c = add(15.033, -4.343);
		assertEquals(c, 10.690,0.00000 );
	}

  // 4. Suite definieren, an JUNit wird der Class-Fiel übergeben
  // sucht alle test*. methoden
	public static Test suite() {
		return new TestSuite( junit6.class );
	}

  public static void main(String[] args) {
      // 4.  suite aufrufen
		//junit.textui.TestRunner.run ( junit6.class );
		junit.swingui.TestRunner.run ( junit6.class );
    pause();
  }


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause



}


